## org.jfree.report.modules.misc.autotable.flow
Class AutoTableItemLayoutController

    java.lang.Object
      org.jfree.report.flow.layoutprocessor.ElementLayoutController
          org.jfree.report.modules.misc.autotable.flow.AutoTableItemLayoutController

All Implemented Interfaces:
  java.lang.Cloneable, LayoutController

    public class AutoTableItemLayoutController

extends ElementLayoutController

Creation-Date: Dec 9, 2006, 8:20:51 PM

Author:
  Thomas Morgner

Nested Class Summary

Nested classes/interfaces inherited from class org.jfree.report.flow.layoutprocessor.ElementLayoutController
`ElementLayoutController.ElementPrecomputeKey`

Field Summary

Fields inherited from class org.jfree.report.flow.layoutprocessor.ElementLayoutController
`FINISHED, FINISHING, NOT_STARTED, OPENED, WAITING_FOR_JOIN`

Constructor Summary
`AutoTableItemLayoutController()`

Method Summary
`protected AutoTableLayoutController` `findTableParent()`
`LayoutController` `join(FlowController flowController)` Joins with a delegated process flow.
`protected LayoutController` `processContent(ReportTarget target)` Processes any content in this element.

Methods inherited from class org.jfree.report.flow.layoutprocessor.ElementLayoutController

`advance, clone, computeAttributes, createPrecomputeInstance, finishElement, getAttributeMap, getElement, getExpressionsCount, getFlowController, getIterationCount, getNode, getParent, getProcessingState, handleDefaultEndElement, initialize, isAdvanceable, isPrecomputing, performElementPrecomputation, setFlowController, setParent, setProcessingState, startData, startElement, toString, tryRepeatingCommit`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AutoTableItemLayoutController

    public AutoTableItemLayoutController()

Method Detail

### findTableParent

    protected AutoTableLayoutController findTableParent()

### processContent

    protected LayoutController processContent(ReportTarget target)
                                       throws DataSourceException,
                                              ReportProcessingException,
                                              ReportDataFactoryException

  Description copied from class: `ElementLayoutController`
  Processes any content in this element. This method is called when the processing state is 'OPENED'. The returned layout controller will retain the 'OPENED' state as long as there is more content available. Once all content has been processed, the returned layout controller should carry a 'FINISHED' state.

  Specified by:
    `processContent` in class `ElementLayoutController`
  Parameters:
    `target` - the report target that receives generated events.
  Returns:
    the new layout controller instance representing the new state.
  Throws:
    `DataSourceException` - if there was a problem reading data from the datasource.
    `ReportProcessingException` - if there was a general problem during the report processing.
    `ReportDataFactoryException` - if a query failed.

### join

    public LayoutController join(FlowController flowController)

  Joins with a delegated process flow. This is generally called from a child flow and should *not* (I mean it!) be called from outside. If you do, you'll suffer.

  Parameters:
    `flowController` - the flow controller of the parent.
  Returns:
    the joined layout controller that incorperates all changes from the delegate.